Category: Issues Estimated time: 0.00 hour
Resolution:  Affected version: 0.9.0

Description

This is similar to issue:

http://www.redmine.org/issues/1390

Atom feed URLs from issue searches do not contain all necessary information to duplicate the search, and instead use default

search parameters. It can be demonstrated on redmine.org. I limit my search to issues where the status is "Resolved" and the

Subject contains "atom". One result is found. If I then use the Atom link from the results page in another browser (I am testing with

lynx, using the -source -dump command line flags), all open issues are displayed.

The ideal/expected behavior would be that the Atom feeds would contain all necessary information to syndicate the search results.

In my environment, I have tested the behavior with 0.8.5 and 0.9.0.

History

#1 - 2010-01-28 15:36 - Mike Jackson

Mike Jackson wrote:

The ideal/expected behavior would be that the Atom feeds would contain all necessary information to syndicate the search results.

 I meant, "The ideal/expected behavior would be that the Atom feed URLs would contain all necessary information to syndicate the search results."

#2 - 2010-01-28 15:55 - Felix Schäfer

- Category set to Issues

Not quite the same as #1390, but that it points you to a possible workaround or even fix for your problem. Just save your search as a custom query,

and you will get an atom link that returns that search exactly. See the atom link on the open defects query page for example.

#3 - 2010-01-28 17:00 - Mike Jackson

Awesome. Thanks for the info; I'll use that in my project. However, it would still be ideal for the search result Atom URL to work independently of

being logged into Redmine, and to contain all relevant information to reproduce the search.

#4 - 2010-01-28 21:12 - Felix Schäfer

Yeah, I think I saw a request like that somewhere already, but I can't find it again. Anyway, I didn't close the issue because of the specific request, so

it's still on the radar and will get tackled someday, though I'd suppose the specificity won't make it that high priority :-)

#5 - 2010-06-20 00:02 - Felix Schäfer

- Status changed from New to Closed

As far as I can tell the issue search ATOM feeds now have the "feed key" attached to them, does that solve this problem for you?
